Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.ugm.controls
Interface DelegatedAtnProxyManagerControlFacade

    @ControlInterface
    public interface DelegatedAtnProxyManagerControlFacade

A custom control interface used to interact with DelegatedAtnProxyManager.

Method Summary
`void` | `addGroupToGroup(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView principalView, String groupName, ResourceContext context)` This method will create a group so long as a user has DA Access to a to the parent group.
`void` | `addUsertoGroup(String atnProviderName, String atnVersion, String groupName, String userName, ResourceContext context)` This method will add a user to a group so long as a user has DA Access to a to the parent group.
`void` | `changePassword(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, String user, String password, ResourceContext context)` This method will change the password for a user.
`void` | `checkAtnAccess(String atnProviderName, String atnVersion, ResourceContext context)` This method will check if the subject has access to the authentication provider.
`void` | `createGroup(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView principalView, String groupName, String description, ResourceContext context)` This method will create a group so long as a user has DA Access to a to the parent group.
`void` | `createUser(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, String user, String password, String description, ResourceContext context)` This method wil create a new user.
`String` | `getAtnResourceId(String atnProviderName, String atnVersion, ResourceContext context)` Helper method that will compose a uniform resorce id
`SortablePagedResult<GroupView>` | `getChildGroupNames(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, FilterMethod method, String query, GroupQueryType groupQueryType, SortOrder order, int pageSize, ResourceContext context)` Returns a paginated collection of group names that are children of the apecified group.
`String` | `getGroupDescription(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, String group, ResourceContext context)` This method will get the description for a user.
`SortablePagedResult<GroupView>` | `getGroupNames(String atnProviderName, String atnVersion, FilterMethod method, String expression, SortOrder order, int pageSize, List<String> excludedGroups, ResourceContext context)`
`SortablePagedResult<GroupView>` | `getGroupNames(String atnProviderName, String atnVersion, FilterMethod method, String expression, SortOrder order, int pageSize, ResourceContext context)` Get all the groups matching a search parameter.
`SortablePagedResult<GroupView>` | `getGroupNames(String groupName, String atnProviderName, String atnVersion, FilterMethod method, GroupQueryType queryType, String expression, SortOrder order, int pageSize, List<String> excludedGroups, ResourceContext context)`
`SortableFilterablePagedResult<String>` | `getGroupNamesForUser(String atnProviderName, String atnVersion, String user, int pageSize, ResourceContext context)` Get all the groups the specified user belongs to.
`List<String>` | `getGroupNamesForUser(String atnProviderName, String atnVersion, String user, ResourceContext context)`
`List<String>` | `getGroupsWithPolicies(ResourceContext context)` Returns a list of all groups that have a security policy predicated on a role that this user is in.
`GroupView` | `getGroupView(String atnProviderName, String atnVersion, String parentGroupName, String groupname, ResourceContext context)` Gets a group view object given the user name and information about which authentication provider to use.
`SortablePagedResult<GroupView>` | `getParentGroupNames(String atnProviderName, String atnVersion, String groupName, com.bea.portal.tools.da.DelegatedResourceView view, FilterMethod method, String query, SortOrder order, int pageSize, ResourceContext context)` Returns a paginated collection of group names that are parents of the apecified group.
`SortablePagedResult<GroupView>` | `getTopLevelGroupNames(String atnProviderName, String atnVersion, FilterMethod method, String query, GroupQueryType groupQueryType, SortOrder order, int pageSize, ResourceContext context)` This method returns all the top level goups that this user has been delegated or those that are required because a child of a toplevel group has been delegated.
`String` | `getUserDescription(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, String user, ResourceContext context)` This method will get the description for a user.
`SortablePagedResult<UserView>` | `getUsernames(String atnProviderName, String atnVersion, FilterMethod method, String expression, SortOrder order, int pageSize, ResourceContext context)` Returns a list of users that the da has been delegated to see.
`SortablePagedResult<UserView>` | `getUsernamesForGroup(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, FilterMethod method, String expression, SortOrder order, int pageSize, ResourceContext context)` This method will return all users that are members of the specified group filtered by the expression.
`UserView` | `getUserView(String atnProviderName, String atnVersion, String username, ResourceContext context)` Gets a user view object given the user name and information about which authentication provider to use.
`boolean` | `hasChildren(String atnProviderName, String atnVersion, String groupName, ResourceContext context)` Method used to determine if a group has child groups.
`boolean` | `hasEveryoneAccess(ResourceContext context)` This method is used to determine if the logged in user has access to
`boolean` | `hasMultipleParents(String atnProviderName, String atnVersion, String groupName, com.bea.portal.tools.da.DelegatedResourceView view, ResourceContext context)` Returns true if a group has multiple parents
`void` | `moveGroup(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView newParentView, String currentParentGroup, com.bea.portal.tools.da.DelegatedResourceView childGroupView, ResourceContext context, String taxonomyDelimiter, String[] daCapabilities, String[] veCapabilities, String webApp, String entApp)` This method will move a group so long as a user has DA Access to a to the parent group.
`void` | `refreshAtn(AtnProviderDescription desc, javax.servlet.http.HttpServletRequest request)`
`void` | `removeGroup(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView principalView, String groupName, ResourceContext context)` Removes a group from the system.
`void` | `removeGroupFromGroup(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView principalView, String groupName, ResourceContext context)` Removes a group from another groups membership list.
`void` | `removeUser(String atnProviderName, String atnVersion, String user, com.bea.portal.tools.da.DelegatedResourceView view, ResourceContext context)` The method will remove a user from an Authentication Provider.
`void` | `removeUserFromGroup(String atnProviderName, String atnVersion, String userName, String groupName, ResourceContext context)` Removes a user from a group.
`void` | `setGroupDescription(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, String group, String description, ResourceContext context)` This method will change the description for a group.
`void` | `setUserDescription(String atnProviderName, String atnVersion, com.bea.portal.tools.da.DelegatedResourceView view, String user, String description, ResourceContext context)` This method will change the description for a user.

Method Detail

### hasChildren

    boolean hasChildren(String atnProviderName,
                        String atnVersion,
                        String groupName,
                        ResourceContext context)
                        throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  Method used to determine if a group has child groups.

  Parameters
    `atnProviderName` - The display name of the atn provider.
    `atnVersion` - The version number of the atn.
    `groupName` - The parent group.
    `context` - the resource context
  Returns
    true if this node hasChildren
  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException` - If the Atn Group Hierarchy cache is not built.

### getUsernamesForGroup

    SortablePagedResult<UserView> getUsernamesForGroup(String atnProviderName,
                                                       String atnVersion,
                                                       com.bea.portal.tools.da.DelegatedResourceView view,
                                                       FilterMethod method,
                                                       String expression,
                                                       SortOrder order,
                                                       int pageSize,
                                                       ResourceContext context)
                                                       throws OperationNotSupportedException

  This method will return all users that are members of the specified group filtered by the expression. The subject must have da access to the group.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `view` - The CapabilityView required to perform this action.
    `order` - The sort order ascending or descending. If null it desfaults to ascending order.
    `pageSize` - Size of the iterators or "pages of data" to return.
    `method` - The type of Filter.. startsWith, endsWith, contains.
    `expression` - String to filter results
    `context` - the resource context
  Returns
    `PagedResult` a collection of Iterators that represent pages of data.
  Throws
    `OperationNotSupportedException`
  See Also
    `SortOrder`, `FilterMethod`

### createUser

    void createUser(String atnProviderName,
                    String atnVersion,
                    com.bea.portal.tools.da.DelegatedResourceView view,
                    String user,
                    String password,
                    String description,
                    ResourceContext context)
                    throws UserAlreadyExistsException,
                           InvalidUsernameException,
                           OperationNotSupportedException,
                           InvalidPasswordException

  This method wil create a new user.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `view` - The capabilty view required to perform this operation.
    `user` - The name of the user to create. Can't be null.
    `password` - The password for this user. Can be null if the ATN implementation handles this.
    `description` - The description for this user. Can be null
    `context` - the resource context
  Throws
    `UserAlreadyExistsException`
    `InvalidUsernameException`
    `InvalidPasswordException`
    `OperationNotSupportedException`

### changePassword

    void changePassword(String atnProviderName,
                        String atnVersion,
                        com.bea.portal.tools.da.DelegatedResourceView view,
                        String user,
                        String password,
                        ResourceContext context)
                        throws OperationNotSupportedException,
                               InvalidPasswordException

  This method will change the password for a user.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `view` - The capabilty view required to perform this operation.
    `user` - The name of the user to create. Can't be null.
    `password` - The password for this user. Can be null if the ATN implementation handles this.
    `context` - the resource context
  Throws
    `InvalidPasswordException`
    `OperationNotSupportedException`

### setUserDescription

    void setUserDescription(String atnProviderName,
                            String atnVersion,
                            com.bea.portal.tools.da.DelegatedResourceView view,
                            String user,
                            String description,
                            ResourceContext context)
                            throws OperationNotSupportedException

  This method will change the description for a user.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `view` - The capabilty view required to perform this operation.
    `user` - The name of the user to create. Can't be null.
    `description` - The description for this user. Can't be null.
    `context` - the resource context
  Throws
    `OperationNotSupportedException`

### setGroupDescription

    void setGroupDescription(String atnProviderName,
                             String atnVersion,
                             com.bea.portal.tools.da.DelegatedResourceView view,
                             String group,
                             String description,
                             ResourceContext context)
                             throws OperationNotSupportedException

  This method will change the description for a group.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `view` - The capabilty view required to perform this operation.
    `group` - The name of the group to set the description for. Can't be null.
    `description` - The description for this group. Can't be null.
    `context` - the resource context
  Throws
    `OperationNotSupportedException`

### getUserDescription

    String getUserDescription(String atnProviderName,
                              String atnVersion,
                              com.bea.portal.tools.da.DelegatedResourceView view,
                              String user,
                              ResourceContext context)
                              throws OperationNotSupportedException

  This method will get the description for a user.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `view` - The capabilty view required to perform this operation.
    `user` - The name of the user to get the description of.
    `context` - the resource context
  Throws
    `OperationNotSupportedException`

### getGroupDescription

    String getGroupDescription(String atnProviderName,
                               String atnVersion,
                               com.bea.portal.tools.da.DelegatedResourceView view,
                               String group,
                               ResourceContext context)
                               throws OperationNotSupportedException

  This method will get the description for a user.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `view` - The capabilty view required to perform this operation.
    `group` - The name of the group to get the description of.
    `context` - the resource context
  Throws
    `OperationNotSupportedException`

### removeUser

    void removeUser(String atnProviderName,
                    String atnVersion,
                    String user,
                    com.bea.portal.tools.da.DelegatedResourceView view,
                    ResourceContext context)
                    throws InvalidUsernameException,
                           OperationNotSupportedException,
                           CurrentUserDeletionException

  The method will remove a user from an Authentication Provider.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `view` - The capabilty view required to perform this operation.
    `user` - The name of the user to remove
    `context` - the resource context
  Throws
    `InvalidUsernameException`
    `OperationNotSupportedException`
    `CurrentUserDeletionException`

### hasEveryoneAccess

    boolean hasEveryoneAccess(ResourceContext context)

  This method is used to determine if the logged in user has access to

  Parameters
    `context` - the resource context
  Returns
    True if the user in in the admin role, member of the DA root role, or if the user is in a role that has a grant on the top level node.

### getParentGroupNames

    SortablePagedResult<GroupView> getParentGroupNames(String atnProviderName,
                                                       String atnVersion,
                                                       String groupName,
                                                       com.bea.portal.tools.da.DelegatedResourceView view,
                                                       FilterMethod method,
                                                       String query,
                                                       SortOrder order,
                                                       int pageSize,
                                                       ResourceContext context)
                                                       throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException,
                                                              OperationNotSupportedException

  Returns a paginated collection of group names that are parents of the apecified group.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `view` - The CapabilityView required to perform this action.
    `method` - The type of Filter.. startsWith, endsWith, contains.
    `order` - The sort order ascending or descending. If null it desfaults to ascending order.
    `pageSize` - Size of the iterators or "pages of data" to return.
    `context` - the resource context
    `groupName` - The name of the group from which to derive the parent groups.
  Returns
    `PagedResult` a collection of Iterators that represent pages of data.
  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException` - If the Atn Group Hierarchy cache is not built.
    `OperationNotSupportedException`
  See Also
    `SortOrder`, `FilterMethod`

### hasMultipleParents

    boolean hasMultipleParents(String atnProviderName,
                               String atnVersion,
                               String groupName,
                               com.bea.portal.tools.da.DelegatedResourceView view,
                               ResourceContext context)
                               throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException,
                                      OperationNotSupportedException

  Returns true if a group has multiple parents

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `view` - The CapabilityView required to perform this action.
    `context` - the resource context
    `groupName` - The name of the group from which to derive the parent groups.
  Returns
    `boolean` true if group has multiple parents.
  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException` - If the Atn Group Hierarchy cache is not built.
    `OperationNotSupportedException`
  See Also
    `SortOrder`, `FilterMethod`

### getChildGroupNames

    SortablePagedResult<GroupView> getChildGroupNames(String atnProviderName,
                                                      String atnVersion,
                                                      com.bea.portal.tools.da.DelegatedResourceView view,
                                                      FilterMethod method,
                                                      String query,
                                                      GroupQueryType groupQueryType,
                                                      SortOrder order,
                                                      int pageSize,
                                                      ResourceContext context)
                                                      throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException,
                                                             OperationNotSupportedException

  Returns a paginated collection of group names that are children of the apecified group.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `view` - The CapabilityView required to perform this action.
    `method` - The type of Filter.. startsWith, endsWith, contains.
    `query` - String to filter results
    `groupQueryType` - GroupQueryType to determine depth of search
    `order` - The sort order ascending or descending. If null it desfaults to ascending order.
    `pageSize` - Size of the iterators or "pages of data" to return.
    `context` - the resource context
  Returns
    `PagedResult` a collection of Iterators that represent pages of data.
  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException` - If the Atn Group Hierarchy cache is not built.
    `OperationNotSupportedException`
  See Also
    `SortOrder`, `FilterMethod`

### getUsernames

    SortablePagedResult<UserView> getUsernames(String atnProviderName,
                                               String atnVersion,
                                               FilterMethod method,
                                               String expression,
                                               SortOrder order,
                                               int pageSize,
                                               ResourceContext context)
                                               throws OperationNotSupportedException

  Returns a list of users that the da has been delegated to see.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `method` - The type of Filter.. startsWith, endsWith, contains.
    `expression` - String to filter results
    `order` - The sort order ascending or descending. If null it desfaults to ascending order.
    `pageSize` - Size of the iterators or "pages of data" to return.
    `context` - the resource context
  Returns
    `PagedResult` a collection of Iterators that represent pages of data.
  Throws
    `OperationNotSupportedException`
  See Also
    `SortOrder`, `FilterMethod`

### getUserView

    UserView getUserView(String atnProviderName,
                         String atnVersion,
                         String username,
                         ResourceContext context)
                         throws OperationNotSupportedException

  Gets a user view object given the user name and information about which authentication provider to use. This object is used by the user management editors.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `username` -
    `context` - the resource context
  Throws
    `OperationNotSupportedException`

### getGroupNamesForUser

    SortableFilterablePagedResult<String> getGroupNamesForUser(String atnProviderName,
                                                               String atnVersion,
                                                               String user,
                                                               int pageSize,
                                                               ResourceContext context)
                                                               throws OperationNotSupportedException

  Get all the groups the specified user belongs to.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `user` - The user to query on
    `pageSize` - Size of the iterators or "pages of data" to return.
    `context` - the resource context
  Returns
    a collection of Iterators that represent pages of data.
  Throws
    `OperationNotSupportedException`

### getGroupNamesForUser

    List<String> getGroupNamesForUser(String atnProviderName,
                                      String atnVersion,
                                      String user,
                                      ResourceContext context)
                                      throws OperationNotSupportedException

  Throws
    `OperationNotSupportedException`

### getTopLevelGroupNames

    SortablePagedResult<GroupView> getTopLevelGroupNames(String atnProviderName,
                                                         String atnVersion,
                                                         FilterMethod method,
                                                         String query,
                                                         GroupQueryType groupQueryType,
                                                         SortOrder order,
                                                         int pageSize,
                                                         ResourceContext context)
                                                         throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException,
                                                                OperationNotSupportedException,
                                                                com.bea.p13n.entitlements.common.PolicyRefException

  This method returns all the top level goups that this user has been delegated or those that are required because a child of a toplevel group has been delegated.

  Parameters
    `atnProviderName` - Display name of the Authtenticator
    `atnVersion` - Version number of the Authenticator
    `pageSize` - The size of a page in the result.
    `method` - The type of Filter.. startsWith, endsWith, contains.
    `groupQueryType` - The type of query to user
    `order` - The sort order ascending or descending. If null it desfaults to ascending order.
  Returns
    a `PagedResult` list of Top level groups name found in this Authentication Provider or a (List)Collections.EMPTY_LIST if no results are found.
  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException` - If the Atn Group Hierarchy cache is not built.
    `OperationNotSupportedException` - Is thrown if: 1) The AtnProvider comes back null 2) If an OperationNotSupportedException occurs in P13N 3) Subject is denied access to the ATN or group.
    `com.bea.p13n.entitlements.common.PolicyRefException`
  See Also
    `SortOrder`, `FilterMethod`

### getGroupNames

    SortablePagedResult<GroupView> getGroupNames(String atnProviderName,
                                                 String atnVersion,
                                                 FilterMethod method,
                                                 String expression,
                                                 SortOrder order,
                                                 int pageSize,
                                                 ResourceContext context)
                                                 throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException,
                                                        OperationNotSupportedException

  Get all the groups matching a search parameter.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `method` - The type of Filter.. startsWith, endsWith, contains.
    `expression` - String to filter results
    `order` - The sort order ascending or descending. If null it desfaults to ascending order.
    `pageSize` - Size of the iterators or "pages of data" to return.
    `context` - the resource context
  Returns
    `PagedResult` a collection of Iterators that represent pages of data.
  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException` - If the Atn Group Hierarchy cache is not built.
    `OperationNotSupportedException`
  See Also
    `SortOrder`, `FilterMethod`

### getGroupNames

    SortablePagedResult<GroupView> getGroupNames(String atnProviderName,
                                                 String atnVersion,
                                                 FilterMethod method,
                                                 String expression,
                                                 SortOrder order,
                                                 int pageSize,
                                                 List<String> excludedGroups,
                                                 ResourceContext context)
                                                 throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException,
                                                        OperationNotSupportedException

  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`
    `OperationNotSupportedException`

### getGroupNames

    SortablePagedResult<GroupView> getGroupNames(String groupName,
                                                 String atnProviderName,
                                                 String atnVersion,
                                                 FilterMethod method,
                                                 GroupQueryType queryType,
                                                 String expression,
                                                 SortOrder order,
                                                 int pageSize,
                                                 List<String> excludedGroups,
                                                 ResourceContext context)
                                                 throws com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException,
                                                        OperationNotSupportedException

  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`
    `OperationNotSupportedException`

### getGroupView

    GroupView getGroupView(String atnProviderName,
                           String atnVersion,
                           String parentGroupName,
                           String groupname,
                           ResourceContext context)
                           throws OperationNotSupportedException,
                                  com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  Gets a group view object given the user name and information about which authentication provider to use. This object is used by the group management editors.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `parentGroupName` -
    `groupname` -
    `context` - the resource context
  Throws
    `OperationNotSupportedException`
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`

### getAtnResourceId

    String getAtnResourceId(String atnProviderName,
                            String atnVersion,
                            ResourceContext context)

  Helper method that will compose a uniform resorce id

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `context` - the resource context
  Returns
    `String` a resource id for the Authentication Provider.

### getGroupsWithPolicies

    List<String> getGroupsWithPolicies(ResourceContext context)
                                       throws com.bea.p13n.entitlements.common.PolicyRefException

  Returns a list of all groups that have a security policy predicated on a role that this user is in.

  Parameters
    `context` - the resource context
  Returns
    a List of groups. or and Empty list if no resources are found.
  Throws
    `com.bea.p13n.entitlements.common.PolicyRefException`

### checkAtnAccess

    void checkAtnAccess(String atnProviderName,
                        String atnVersion,
                        ResourceContext context)

  This method will check if the subject has access to the authentication provider.

  Parameters
    `atnProviderName` - The name of the Authentication Provider.
    `atnVersion` - The version name of the Authentication Provider.
    `context` - the resource context

### addGroupToGroup

    void addGroupToGroup(String atnProviderName,
                         String atnVersion,
                         com.bea.portal.tools.da.DelegatedResourceView principalView,
                         String groupName,
                         ResourceContext context)
                         throws OperationNotSupportedException,
                                com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  This method will create a group so long as a user has DA Access to a to the parent group.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `principalView` - The capabilty view required to perform this operation.
    `context` - the resource context
  Throws
    `OperationNotSupportedException`
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`

### addUsertoGroup

    void addUsertoGroup(String atnProviderName,
                        String atnVersion,
                        String groupName,
                        String userName,
                        ResourceContext context)
                        throws OperationNotSupportedException

  This method will add a user to a group so long as a user has DA Access to a to the parent group.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `groupName` - The capabilty view required to perform this operation.
    `userName` - String of users to create belonging to a group
    `context` - the resource context
  Throws
    `OperationNotSupportedException`

### createGroup

    void createGroup(String atnProviderName,
                     String atnVersion,
                     com.bea.portal.tools.da.DelegatedResourceView principalView,
                     String groupName,
                     String description,
                     ResourceContext context)
                     throws OperationNotSupportedException,
                            GroupAlreadyExistsException,
                            InvalidGroupnameException,
                            com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  This method will create a group so long as a user has DA Access to a to the parent group.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `principalView` - The capabilty view required to perform this operation.
    `groupName` - The name of the group to create
    `description` - The description of the group
    `context` - the resource context
  Throws
    `OperationNotSupportedException`
    `GroupAlreadyExistsException`
    `InvalidGroupnameException`
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`

### removeGroupFromGroup

    void removeGroupFromGroup(String atnProviderName,
                              String atnVersion,
                              com.bea.portal.tools.da.DelegatedResourceView principalView,
                              String groupName,
                              ResourceContext context)
                              throws OperationNotSupportedException,
                                     InvalidGroupnameException,
                                     com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  Removes a group from another groups membership list.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `principalView` - The capabilty view required to perform this operation.
    `groupName` - The name of the group to remove
    `context` - the resource context
  Throws
    `OperationNotSupportedException`
    `InvalidGroupnameException`
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`

### removeGroup

    void removeGroup(String atnProviderName,
                     String atnVersion,
                     com.bea.portal.tools.da.DelegatedResourceView principalView,
                     String groupName,
                     ResourceContext context)
                     throws OperationNotSupportedException,
                            InvalidGroupnameException,
                            com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  Removes a group from the system.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `principalView` - The capabilty view required to perform this operation.
    `groupName` - The name of the group to remove
    `context` - the resource context
  Throws
    `OperationNotSupportedException`
    `InvalidGroupnameException`
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`

### removeUserFromGroup

    void removeUserFromGroup(String atnProviderName,
                             String atnVersion,
                             String userName,
                             String groupName,
                             ResourceContext context)
                             throws OperationNotSupportedException,
                                    InvalidGroupnameException

  Removes a user from a group.

  Parameters
    `atnProviderName` - The Atuthentication Provider to remove from.
    `atnVersion` - The version number for the authenticator.
    `userName` - The name of the user to remove from listed group.
    `groupName` - The name of the group to remove remove the user from
    `context` - the resource context
  Throws
    `OperationNotSupportedException`
    `InvalidGroupnameException`

### moveGroup

    void moveGroup(String atnProviderName,
                   String atnVersion,
                   com.bea.portal.tools.da.DelegatedResourceView newParentView,
                   String currentParentGroup,
                   com.bea.portal.tools.da.DelegatedResourceView childGroupView,
                   ResourceContext context,
                   String taxonomyDelimiter,
                   String[] daCapabilities,
                   String[] veCapabilities,
                   String webApp,
                   String entApp)
                   throws MoveGroupException

  This method will move a group so long as a user has DA Access to a to the parent group.

  Parameters
    `atnProviderName` - The Atuthentication Provider to move from.
    `atnVersion` - The version number for the authenticator.
    `context` - the resource context
  Throws
    `OperationNotSupportedException`
    `MoveGroupException`

### refreshAtn

    void refreshAtn(AtnProviderDescription desc,
                    javax.servlet.http.HttpServletRequest request)
                    throws com.bea.p13n.usermgmt.hierarchy.TreeSizeExceededException,
                           com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException

  Throws
    `com.bea.p13n.usermgmt.hierarchy.TreeSizeExceededException`
    `com.bea.p13n.usermgmt.hierarchy.TreeNotBuiltException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.